<div class="antialiased bg-gray-100">
    <div class="w-full text-gray-700 bg-white">
        <div
            class="flex flex-col max-w-screen-xl px-4 mx-auto md:items-center md:justify-between md:flex-row md:px-6 lg:px-8">
            <div class="flex flex-row items-center justify-between p-4">
                <img src="/assets/img/logo.webp" class="h-14" alt="">

            </div>
            <nav class="flex-col flex-grow hidden pb-4 md:pb-0 md:flex md:justify-end md:flex-row">
                <language></language>
                @for (item of menu; track $index) {
                @for (page of item.items; track $index) {
                <a [routerLink]="[page.route]" routerLinkActive="text-gray-900 bg-gray-200"
                    class="px-4 py-2 mt-2 text-sm font-semibold bg-transparent rounded-lg md:mt-0 md:ml-4 hover:text-gray-900 focus:text-gray-900 hover:bg-gray-200 focus:bg-gray-200 focus:outline-none focus:shadow-outline"
                    href="#">
                    {{page.label | transloco}}
                </a>
                }
                }
                @if (!authService.isLoggedIn())
                {
                <a [routerLink]="['/Login']" routerLinkActive="text-gray-900 bg-gray-200"
                    class="px-4 py-2 mt-2 text-sm font-semibold bg-transparent rounded-lg md:mt-0 md:ml-4 hover:text-gray-900 focus:text-gray-900 hover:bg-gray-200 focus:bg-gray-200 focus:outline-none focus:shadow-outline"
                    href="#">
                    {{"Login" | transloco}}
                </a>
                }
                @if (authService.isLoggedIn())
                {

                <a (click)="logOut()"
                    class="px-4 py-2 mt-2 text-sm font-semibold bg-transparent rounded-lg md:mt-0 md:ml-4 hover:text-gray-900 focus:text-gray-900 hover:bg-gray-200 focus:bg-gray-200 focus:outline-none focus:shadow-outline"
                    href="#">
                    {{"LogOut" | transloco}}
                </a>
                }
            </nav>
        </div>
    </div>
</div>